Subject: Re: file
From: [email-masked] (Leif Jackson)

1 Nov 1998 23:33:13 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Corinna Vinschen <[email-masked]>
Cc: Todd Goodman <[email-masked]>, [email-masked]

Accualy the command file doesn't seem to be a gnu product.

I found the lastest version for the orginal site found on sunsite's lsm
file.

ftp://ftp.astron.com/pub/file/file-3.26.tar.gz

Laters,
Leif

p.s. Rember that B20 doesn't use __CYGWIN32__ anymore it has __CYGWIN__
for your patch below :)

On Sun, 1 Nov 1998, Corinna Vinschen wrote:

>Date: Sun, 01 Nov 1998 02:02:39 +0100
>From: Corinna Vinschen <[email-masked]>
>To: Todd Goodman <[email-masked]>,
    [email-masked]
>Subject: Re: file
>
>Hi Todd,
>
>> I'm sure I'm overlooking something obvious, but is the 'file' command
>> or equivalent available anywhere?
>
>Look at the GNU Homepage. There you will find the original
>sources. Only one patch is needed, because
>#include <sys/sysmacros.h> isn't available in cygwin.
>
>Regards,
>Corinna
>
>------- snip -------
>--- fsmagic.c.orig      Sun Nov 01 00:50:08 1998
>+++ fsmagic.c   Sun Nov 01 00:53:20 1998
>@@ -38,7 +38,13 @@
> # endif
> #endif
> #ifndef        major         /* if `major' not defined in types.h, */
>+#ifdef __CYGWIN32__
>+#define major(dev) (((unsigned) (dev))>>8)
>+#define minor(dev) ((dev)&0xff)
>+#define makedev(major,minor) (((major)<<8)|(minor))
>+#else
> #include <sys/sysmacros.h>     /* try this one. */
>+#endif
> #endif
> #ifndef        major   /* still not defined? give up, manual
>intervention needed */
>                /* If cc tries to compile this, read and act on it. */
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

  +-------------------------------------------------------+
  | Network Engineer               (770) 333-8779 x617    |
  | Programmer && Linux Enthusiast http://www.islenet.org |
  | ComStar Communications, Inc.   http://www.comstar.net |
  +-------------------------------------------------------+
PGP Key fingerprint = 6A B4 B3 F2 4B 78 64 EA  2B A7 23 98 AF EA EE 29
http://isle.comstar.net/~leif/pgpkeys.html for the full key.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".